net.sf.jasperreports.engine.design

## Class JRDesignExpressionChunk

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseExpressionChunk
  - - net.sf.jasperreports.engine.design.JRDesignExpressionChunk

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRExpressionChunk

      public class JRDesignExpressionChunk
      extends JRBaseExpressionChunk
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignExpressionChunk.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_TEXT`
    `static java.lang.String` | `PROPERTY_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseExpressionChunk

      `text, type`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRExpressionChunk

      `TYPE_FIELD, TYPE_PARAMETER, TYPE_RESOURCE, TYPE_TEXT, TYPE_VARIABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignExpressionChunk()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setText(java.lang.String text)`
    `void` | `setType(byte type)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseExpressionChunk

      `getText, getType`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_TEXT

          public static final java.lang.String PROPERTY_TEXT

      See Also:
        Constant Field Values

    - #### PROPERTY_TYPE

          public static final java.lang.String PROPERTY_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignExpressionChunk

          public JRDesignExpressionChunk()

  - ### Method Detail

    - #### setType

          public void setType(byte type)

    - #### setText

          public void setText(java.lang.String text)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseExpressionChunk`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com